// called by oMusic on game start after loading saved game
caster_stop(all);
caster_free(all);
if (variable_global_exists("customMusicCache")) ds_map_clear(global.customMusicCache);

k8dbglog("loading sounds...");

global.musTitle = sndLoadFile("sound/title.ogg");
global.musCave = sndLoadFile("sound/cave.ogg");
global.musLush = sndLoadFile("sound/lush.ogg");
global.musIce = sndLoadFile("sound/ice.ogg");
global.musTemple = sndLoadFile("sound/temple.ogg");
global.musBoss = sndLoadFile("sound/boss.ogg");
global.musVictory = sndLoadFile("sound/victory.ogg");
global.musCredits = sndLoadFile("sound/credits.ogg");

global.sndIgnite = sndLoadFile("sound/ignite.wav");
global.sndTeleport = sndLoadFile("sound/teleport.wav");
global.sndJetpack = sndLoadFile("sound/jetpack.wav");
global.sndWhip = sndLoadFile("sound/whip.wav");
global.sndJump = sndLoadFile("sound/jump.wav");
global.sndThrow = sndLoadFile("sound/throw.wav");
global.sndClimb1 = sndLoadFile("sound/climb1.wav");
global.sndClimb2 = sndLoadFile("sound/climb2.wav");
global.sndShotgun = sndLoadFile("sound/shotgun.wav");
global.sndBowPull = sndLoadFile("sound/bowpull.wav");
global.sndSteps = sndLoadFile("sound/steps.wav");
global.sndBlink1 = sndLoadFile("sound/blink1.wav");
global.sndBlink2 = sndLoadFile("sound/blink2.wav");
global.sndHit = sndLoadFile("sound/hit.wav");
global.sndHurt = sndLoadFile("sound/hurt.wav");
global.sndDie = sndLoadFile("sound/die.wav");
global.sndCoin = sndLoadFile("sound/coin.wav");
global.sndGem = sndLoadFile("sound/gem.wav");
global.sndPickup = sndLoadFile("sound/pickup.wav");
global.sndChestOpen = sndLoadFile("sound/chestopen.wav");
global.sndPush = sndLoadFile("sound/push.wav");
global.sndMattockBreak = sndLoadFile("sound/mattockbreak.wav");
global.sndTrap = sndLoadFile("sound/trap.wav");
global.sndClick = sndLoadFile("sound/click.wav");
global.sndBreak = sndLoadFile("sound/break.wav");
global.sndThud = sndLoadFile("sound/thud.wav");
global.sndThump = sndLoadFile("sound/thump.wav");
global.sndCrunch = sndLoadFile("sound/crunch.wav");
global.sndSplash = sndLoadFile("sound/splash.wav");
global.sndFlame = sndLoadFile("sound/flame.wav");
global.sndExplosion = sndLoadFile("sound/explosion.wav");
global.sndArrowTrap = sndLoadFile("sound/arrowtrap.wav");
global.sndBoing = sndLoadFile("sound/boing.wav");
global.sndDamsel = sndLoadFile("sound/damsel.wav");
global.sndKiss = sndLoadFile("sound/kiss.wav");
global.sndGhost = sndLoadFile("sound/ghost.wav");
global.sndBat = sndLoadFile("sound/bat.wav");
global.sndGiantSpider = sndLoadFile("sound/giantspider.wav");
global.sndSpiderJump = sndLoadFile("sound/spiderjump.wav");
global.sndFrog = sndLoadFile("sound/frog.wav");
global.sndZombie = sndLoadFile("sound/zombie.wav");
global.sndMonkey = sndLoadFile("sound/monkey.wav");
global.sndAlert = sndLoadFile("sound/alert.wav");
global.sndCavemanDie = sndLoadFile("sound/cavemandie.wav");
global.sndAlien = sndLoadFile("sound/alien.wav");
global.sndLaser = sndLoadFile("sound/laser.wav");
global.sndLaserCharge = sndLoadFile("sound/lasercharge.wav");
global.sndSmallExplode = sndLoadFile("sound/smallexplode.wav");
global.sndPsychic = sndLoadFile("sound/psychic.wav");
global.sndYetiYell = sndLoadFile("sound/yetiyell.wav");
global.sndBigJump = sndLoadFile("sound/bigjump.wav");
global.sndSlam = sndLoadFile("sound/slam.wav");
global.sndPFall = sndLoadFile("sound/pfall.wav");
global.sndTFall = sndLoadFile("sound/tfall.wav");

k8dbglog("all sounds loaded.");
